%define name lastfm-player
%define oname player
%define version 1.0.3
%define release 1mdk

Summary: Last.fm web radio player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://83.142.226.211/player/LastfmSource-%version.tar.bz2
Source1: player-48.png
Source2: player-32.png
Source3: player-16.png
License: BSD
Group: Sound
Url: http://www.last.fm/help/player/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
Provides: player
Obsoletes: player

%description
This is the custom radio player program for last.fm, formerly known as
audioscrobbler.com.

%prep
%setup -q -n Last.fm-%version-src/
chmod -R +r .
perl -pi -e "s|\r\n|\n|" LICENSE

%build
%_libdir/qt4/bin/qmake
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_bindir,%_libdir/%name}
install -m 755 player %buildroot%_libdir/%name
cp -r data %buildroot%_libdir/%name/
cat << EOF > %buildroot%_bindir/%name
#!/bin/sh
%_libdir/%name/player \$*
EOF
install -d -m 755 $RPM_BUILD_ROOT%_datadir/services 
cat > $RPM_BUILD_ROOT%_datadir/services/lastfm.protocol << EOF
[Protocol]
 exec=%_libdir/%name/player "%u"
 protocol=lastfm
 input=none
 output=none
 helper=true
 listing=
 reading=false
 writing=false
 makedir=false
 deleting=false
EOF

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Sound" \
	icon="%name.png" \
	accept_url="true" \
	title="Last.FM Player" \
	longtitle="Play the last.fm internet radio"
EOF
install -m 644 -D %SOURCE1 %buildroot%_liconsdir/%name.png
install -m 644 -D %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 -D %SOURCE3 %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README LICENSE
%attr(755,root,root) %_bindir/%name
%_libdir/%name
%_menudir/%name
%_datadir/services/lastfm.protocol
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- new version

* Mon Aug 15 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- fix qmake call
- fix the version number

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.4mdk
- fix the program icons

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.3mdk
- add KDE protocol handler (Nick Brown)

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.2mdk
- rename from player

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.1mdk
- initial package
